<?php
/**
 * VW Newspaper: Block Patterns
 *
 * @package VW Newspaper
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'vw-newspaper',
		array( 'label' => __( 'VW Newspaper', 'vw-newspaper' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'vw-newspaper/headline-section',
		array(
			'title'      => __( 'Headline section Section', 'vw-newspaper' ),
			'categories' => array( 'vw-newspaper' ),
			'content'    => "<!-- wp:cover {\"customOverlayColor\":\"#f5dea6\",\"minHeight\":50,\"align\":\"full\",\"className\":\"newsbox\"} -->\n<div class=\"wp-block-cover alignfull has-background-dim newsbox\" style=\"background-color:#f5dea6;min-height:50px\"><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"align\":\"full\",\"className\":\"news-col ms-0 mb-0 me-2\"} -->\n<div class=\"wp-block-columns alignfull news-col ms-0 mb-0 me-2\"><!-- wp:column {\"className\":\"news-title\"} -->\n<div class=\"wp-block-column news-title\"><!-- wp:cover {\"customOverlayColor\":\"#fb9812\",\"minHeight\":84} -->\n<div class=\"wp-block-cover has-background-dim\" style=\"background-color:#fb9812;min-height:84px\"><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":1,\"textColor\":\"white\",\"style\":{\"typography\":{\"fontSize\":15}}} -->\n<h1 class=\"has-text-align-center has-white-color has-text-color\" style=\"font-size:15px\"><strong>LOREM IPSUM</strong></h1>\n<!-- /wp:heading --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"news-text mb-0\"} -->\n<div class=\"wp-block-column news-text mb-0\"><!-- wp:columns {\"className\":\"mb-0 mt-lg-3 mt-md-2\"} -->\n<div class=\"wp-block-columns mb-0 mt-lg-3 mt-md-2\"><!-- wp:column {\"width\":\"20%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:20%\"><!-- wp:image {\"align\":\"center\",\"id\":4129,\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-large\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/headline-img1.png\" alt=\"\" class=\"wp-image-4129\"/></figure></div>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"80%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:80%\"><!-- wp:heading {\"className\":\"mb-md-0 mb-5\",\"textColor\":\"black\",\"style\":{\"typography\":{\"fontSize\":15}}} -->\n<h2 class=\"mb-md-0 mb-5 has-black-color has-text-color\" style=\"font-size:15px\">Lorem Ipsum&nbsp;is simply dummy text</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"news-text mb-0\"} -->\n<div class=\"wp-block-column news-text mb-0\"><!-- wp:columns {\"className\":\"mb-0 mt-lg-3 mt-md-2\"} -->\n<div class=\"wp-block-columns mb-0 mt-lg-3 mt-md-2\"><!-- wp:column {\"width\":\"20%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:20%\"><!-- wp:image {\"align\":\"center\",\"id\":4132,\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-large\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/headline-img2.png\" alt=\"\" class=\"wp-image-4132\"/></figure></div>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"80%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:80%\"><!-- wp:heading {\"className\":\"mb-md-0 mb-5\",\"textColor\":\"black\",\"style\":{\"typography\":{\"fontSize\":15}}} -->\n<h2 class=\"mb-md-0 mb-5 has-black-color has-text-color\" style=\"font-size:15px\">Lorem Ipsum&nbsp;is simply dummy text</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"news-text mb-0\"} -->\n<div class=\"wp-block-column news-text mb-0\"><!-- wp:columns {\"className\":\"mb-0 mt-lg-3 mt-md-2\"} -->\n<div class=\"wp-block-columns mb-0 mt-lg-3 mt-md-2\"><!-- wp:column {\"width\":\"20%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:20%\"><!-- wp:image {\"align\":\"center\",\"id\":4131,\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-large\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/headline-img3.png\" alt=\"\" class=\"wp-image-4131\"/></figure></div>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"80%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:80%\"><!-- wp:heading {\"className\":\"mb-md-0 mb-5\",\"textColor\":\"black\",\"style\":{\"typography\":{\"fontSize\":15}}} -->\n<h2 class=\"mb-md-0 mb-5 has-black-color has-text-color\" style=\"font-size:15px\">Lorem Ipsum&nbsp;is simply dummy text</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"news-text mb-0\"} -->\n<div class=\"wp-block-column news-text mb-0\"><!-- wp:columns {\"className\":\"mb-0 mt-lg-3 mt-md-2\"} -->\n<div class=\"wp-block-columns mb-0 mt-lg-3 mt-md-2\"><!-- wp:column {\"width\":\"20%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:20%\"><!-- wp:image {\"align\":\"center\",\"id\":4130,\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-large\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/headline-img4.png\" alt=\"\" class=\"wp-image-4130\"/></figure></div>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"80%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:80%\"><!-- wp:heading {\"className\":\"mb-md-0 mb-5\",\"textColor\":\"black\",\"style\":{\"typography\":{\"fontSize\":15}}} -->\n<h2 class=\"mb-md-0 mb-5 has-black-color has-text-color\" style=\"font-size:15px\">Lorem Ipsum&nbsp;is simply dummy text</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'vw-newspaper/category-section',
		array(
			'title'      => __( 'Category Section', 'vw-newspaper' ),
			'categories' => array( 'vw-newspaper' ),
			'content'    => "<!-- wp:columns {\"align\":\"full\",\"className\":\"main-col\"} -->\n<div class=\"wp-block-columns alignfull main-col\"><!-- wp:column {\"className\":\"main-box\"} -->\n<div class=\"wp-block-column main-box\"><!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/post-img1.png\",\"id\":4124,\"dimRatio\":0,\"className\":\"p-0\"} -->\n<div class=\"wp-block-cover p-0\" style=\"background-image:url(" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/post-img1.png)\"><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"left\",\"level\":3,\"className\":\"main-text mb-0\",\"style\":{\"typography\":{\"fontSize\":17}}} -->\n<h3 class=\"has-text-align-left main-text mb-0\" style=\"font-size:17px\"><strong>Lorem Ipsumis simply dummy text of the</strong></h3>\n<!-- /wp:heading --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"main-box ms-0\"} -->\n<div class=\"wp-block-column main-box ms-0\"><!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/post-img2.png\",\"id\":4125,\"dimRatio\":0,\"className\":\"p-0\"} -->\n<div class=\"wp-block-cover p-0\" style=\"background-image:url(" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/post-img2.png)\"><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"left\",\"level\":3,\"className\":\"main-text mb-0\",\"style\":{\"typography\":{\"fontSize\":17}}} -->\n<h3 class=\"has-text-align-left main-text mb-0\" style=\"font-size:17px\"><strong>Lorem Ipsumis simply dummy text of the</strong></h3>\n<!-- /wp:heading --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"main-box ms-0\"} -->\n<div class=\"wp-block-column main-box ms-0\"><!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/post-img3.png\",\"id\":4126,\"dimRatio\":0,\"className\":\"p-0\"} -->\n<div class=\"wp-block-cover p-0\" style=\"background-image:url(" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/post-img3.png)\"><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"left\",\"level\":3,\"className\":\"main-text mb-0\",\"style\":{\"typography\":{\"fontSize\":17}}} -->\n<h3 class=\"has-text-align-left main-text mb-0\" style=\"font-size:17px\"><strong>Lorem Ipsumis simply dummy text of the</strong></h3>\n<!-- /wp:heading --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"main-box ms-0\"} -->\n<div class=\"wp-block-column main-box ms-0\"><!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/post-img4.png\",\"id\":4127,\"dimRatio\":0,\"className\":\"p-0\"} -->\n<div class=\"wp-block-cover p-0\" style=\"background-image:url(" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/post-img4.png)\"><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"left\",\"level\":3,\"className\":\"main-text mb-0\",\"style\":{\"typography\":{\"fontSize\":17}}} -->\n<h3 class=\"has-text-align-left main-text mb-0\" style=\"font-size:17px\"><strong>Lorem Ipsumis simply dummy text of the</strong></h3>\n<!-- /wp:heading --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->",
		)
	);
}